TYPO3.Fluid - Bug # 11101

Status: Resolved Priority: Should have
Author: Martin Helmich Category: Widgets
Created: 2010-11-26 Assigned To: Bastian Waidelich
Updated: 2010-12-02 Due date:

Has patch:

Affected Flow version:

Subject: Pagination widget creates incorrect absolute URLs

Description

Currently, the paginate widget creates absolute URLs. However, if your TYPOS is installed in a subdirectory of the document root, this
is apparently not respected when generating the URLs.

So, the widget creates URLS like

http://localhost/index.php... instead of

http://localhost/xyz/index.php

Is there actually any reason to use absolute URLs instead of relative ones?

Problem occurs with version 1.3.0betala.

Best regards,
Martin Helmich

History

#1 - 2010-11-26 17:25 - Bastian Waidelich
- File 11101_pagination_v2.patch added

- Category set to Widgets

- Status changed from New to Accepted

- Assigned To set to Bastian Waidelich

Does the patch you provided, fixes the issue?

#2 - 2010-11-26 17:42 - Martin Helmich

Ah, sorry, | forgot to mention the patch. The patch fixes the issue by generating relative URLs instead of absolute ones.

However, the more | think of it... Apart from the question whether absolute or relative URLs are better, this is probably more a problem of the
UriBuilder class, is it?

#3 - 2010-12-02 19:29 - Bastian Waidelich

Martin Helmich wrote:

Ah, sorry, | forgot to mention the patch.
http://localhost/index.php
http://localhost/xyz/index.php

No problem. In the meantime it's committed and the widget.uri VH is fixed as well.

However, the more | think of it...
Apart from the question whether absolute or relative URLs are better,
this is probably more a problem of the UriBuilder class, is it?

That's right..

I'm closing this issue for now. Please open up another ticket, if you encounter other problems with the UriBuilder

#4 - 2010-12-02 19:29 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3064

Files

fluid_pagination.patch 716 Bytes 2010-11-26 Martin Helmich

11101_pagination_v2.patch 1.1 kB 2010-11-26 Bastian Waidelich
